GCubeGisViewer (gCube GIS Viewer Widget 2.0.0-SNAPSHOT API)
Date: 2013-07-01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.gcubegisviewer.client
Class GCubeGisViewer

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.extjs.gxt.ui.client.widget.Component
                  com.extjs.gxt.ui.client.widget.BoxComponent
                      com.extjs.gxt.ui.client.widget.Container<T>
                          com.extjs.gxt.ui.client.widget.ScrollContainer<com.extjs.gxt.ui.client.widget.Component>
                              com.extjs.gxt.ui.client.widget.LayoutContainer
                                  com.extjs.gxt.ui.client.widget.ContentPanel
                                      com.extjs.gxt.ui.client.widget.Window
                                          org.gcube.portlets.user.gisviewer.client.GisViewer
                                              org.gcube.portlets.user.gcubegisviewer.client.GCubeGisViewer

All Implemented Interfaces:
  com.extjs.gxt.ui.client.event.Observable, com.extjs.gxt.ui.client.widget.IconSupport, com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, HasSaveHandlers

    public class GCubeGisViewer

extends org.gcube.portlets.user.gisviewer.client.GisViewer
implements HasSaveHandlers

Author:
  "Federico De Faveri defaveri@isti.cnr.it"

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class org.gcube.portlets.user.gisviewer.client.GisViewer
`resources, service`

Fields inherited from class com.extjs.gxt.ui.client.widget.Window
`ariaMoveResizeDistance, closeBtn, dragger, manager, removeFromParentOnHide, restoreBtn`

Fields inherited from class com.extjs.gxt.ui.client.widget.ContentPanel
`bbarStyle, bodStyle, body, bwrap, bwrapStyle, collapseStyle, fbar, footerStyle, frame, head, headerStyle, headerTextStyle, tbarStyle`

Fields inherited from class com.extjs.gxt.ui.client.widget.Container
`attachChildren, enableLayout, layoutExecuted, layoutNeeded, layoutOnAttach, layoutOnChange`

Fields inherited from class com.extjs.gxt.ui.client.widget.BoxComponent
`adjustSize, cacheSizes, ensureVisibilityOnSizing, height, lastSize, layer, shim, width`

Fields inherited from class com.extjs.gxt.ui.client.widget.Component
`afterRender, attachables, baseStyle, disabled, disabledStyle, disableTextSelection, dummy, focusable, hidden, mask, maskMessage, maskMessageStyleName, monitorWindowResize, rendered, resizeHandler, setElementRender, stateId, swallowEvents, toolTip, windowResizeDelay, windowResizeTask`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`` | `GCubeGisViewer(org.gcube.portlets.user.gisviewer.client.GisViewerParameters parameters)`
`protected` | `GCubeGisViewer(String projection, String groupName, List<String> layers, org.gcube.portlets.user.gisviewer.client.GisViewerSaveHandler gisViewerSaveHandler)`

Method Summary
`com.google.gwt.event.shared.HandlerRegistration` | `addSaveHandler(SaveHandler handler)` Adds a `SaveEvent` handler.
`void` | `setMaskOnSaveEvents()`

Methods inherited from class org.gcube.portlets.user.gisviewer.client.GisViewer
`addGroup, addLayerByLayerItem, addLayerByLayerItemToTop, addLayerByName, addLayerByWms, addLayersByLayerItems, addLayersByLayerItemsToTop, addLayersByNames, addLayersByNames, getVersion, removeAllLayers, show`

Methods inherited from class com.extjs.gxt.ui.client.widget.Window
`addWindowListener, afterShow, alignTo, center, close, close, createComponentEvent, createGhost, doFocus, endDrag, fitContainer, focus, getConstrain, getContainer, getDraggable, getFocusWidget, getInitialWidth, getMinHeight, getMinWidth, getModalPanel, getResizable, ghost, hide, hide, initTools, isAutoHide, isBlinkModal, isClosable, isDraggable, isMaximizable, isMaximized, isMinimizable, isModal, isOnEsc, isPlain, isResizable, maximize, minimize, moveDrag, onComponentEvent, onDetach, onEndResize, onFocus, onHide, onKeyPress, onRender, onStartResize, onWindowResize, removeWindowListener, restore, setActive, setAutoHide, setBlinkModal, setClosable, setConstrain, setContainer, setDraggable, setFocusWidget, setHeading, setInitialWidth, setMaximizable, setMinHeight, setMinimizable, setMinWidth, setModal, setOnEsc, setPagePosition, setPlain, setPosition, setResizable, setZIndex, showWindow, startDrag, toBack, toFront, unghost`

Methods inherited from class com.extjs.gxt.ui.client.widget.ContentPanel
`addButton, adjustBodySize, afterCollapse, afterExpand, collapse, createStyles, doAttachChildren, doDetachChildren, expand, getAnimCollapse, getBody, getBodyBorder, getBodyStyle, getBottomComponent, getButtonAlign, getButtonBar, getCollapseBtn, getCollapsible, getElement, getFrame, getFrameHeight, getFrameSize, getFrameWidth, getHeader, getHeading, getIcon, getInnerHeight, getInnerWidth, getLayoutTarget, getMinButtonWidth, getTitleCollapse, getTitleText, getTopComponent, isCollapsed, isExpanded, isFooter, isHeaderVisible, isHideCollapseTool, layoutBars, notifyHide, notifyShow, onClick, onCollapse, onDisable, onEnable, onExpand, onResize, remove, setAnimCollapse, setBodyBorder, setBodyStyle, setBodyStyleName, setBottomComponent, setButtonAlign, setCollapsible, setExpanded, setFooter, setFrame, setHeaderVisible, setHideCollapseTool, setIcon, setIconStyle, setInsetBorder, setMinButtonWidth, setTitleCollapse, setTopComponent, setUrl`

Methods inherited from class com.extjs.gxt.ui.client.widget.LayoutContainer
`add, add, addText, findComponent, getLayout, getWindowResizeDelay, insert, insert, isLayoutOnChange, isMonitorWindowResize, layout, layout, onBlur, remove, removeAll, setLayout, setLayoutData, setLayoutOnChange, setMonitorWindowResize, setWindowResizeDelay`

Methods inherited from class com.extjs.gxt.ui.client.widget.ScrollContainer
`addScrollListener, afterRender, getHScrollPosition, getScrollMode, getVScrollPosition, removeScrollListener, scrollIntoView, setHScrollPosition, setScrollMode, setVScrollPosition`

Methods inherited from class com.extjs.gxt.ui.client.widget.Container
`add, adjustIndex, adopt, createContainerEvent, disable, doLayout, doLayout, enable, findItem, getItem, getItemByItemId, getItemCount, getItems, getWidget, indexOf, insert, isLayoutNeeded, iterator, onAfterLayout, onAttach, onBeforeLayoutExcecuted, onInsert, onLayoutExcecuted, onRemove, orphan, remove, removeAll, scrollIntoView, setLayoutNeeded, wrapWidget`

Methods inherited from class com.extjs.gxt.ui.client.widget.BoxComponent
`adjustPosition, adjustSize, getBounds, getHeight, getHeight, getPosition, getPositionEl, getResizeEl, getShadow, getShadowOffset, getShadowPosition, getSize, getWidth, getWidth, hideShadow, hideShim, hideUnders, isAutoHeight, isAutoWidth, isDeferHeight, isShim, onPosition, onShow, onUnload, setAutoHeight, setAutoWidth, setBounds, setBounds, setDeferHeight, setHeight, setHeight, setPagePosition, setPixelSize, setShadow, setShadowOffset, setShadowPosition, setShim, setSize, setSize, setWidth, setWidth, sync, syncSize`

Methods inherited from class com.extjs.gxt.ui.client.widget.Component
`addAttachable, addListener, addPlugin, addStyleName, addStyleOnOver, addWidgetListener, applyState, assertAfterRender, assertPreRender, beforeRender, blur, clearState, createObservable, disableContextMenu, disableEvents, disableTextSelection, el, enableEvents, fireEvent, fireEvent, fireEvent, fly, frame, getAriaSupport, getBaseStyle, getBorders, getContextMenu, getData, getElement, getFocusEl, getFocusSupport, getHideMode, getId, getItemId, getListeners, getModel, getObservable, getPlugins, getState, getStateId, getTabIndex, getTitle, getToolTip, hasListeners, hasListeners, hideToolTip, initState, isDisabledEvents, isDisableTextSelection, isEnabled, isMasked, isRendered, isStateful, isVisible, isVisible, mask, mask, mask, onBrowserEvent, onDetachHelper, onEnsureDebugId, onHideContextMenu, onLoad, onRightClick, onShowContextMenu, previewEvent, recalculate, removeAllListeners, removeAttachagle, removeFromParent, removeListener, removeStyleName, removeStyleOnOver, removeSwallow, removeToolTip, removeWidgetListener, render, render, repaint, saveState, setAriaRole, setAriaState, setAriaSupport, setBorders, setContextMenu, setData, setEl, setElement, setElement, setEnabled, setFiresEvents, setHideMode, setId, setIntStyleAttribute, setItemId, setModel, setParent, setStateful, setStateId, setStyleAttribute, setStyleName, setTabIndex, setTitle, setToolTip, setToolTip, setVisible, sinkEvents, swallowEvent, swallowEvent, toString, unframe, unmask`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, setLayoutData`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, removeStyleDependentName, resolvePotentialElement, setElement, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Constructor Detail

### GCubeGisViewer

    public GCubeGisViewer(org.gcube.portlets.user.gisviewer.client.GisViewerParameters parameters)

Parameters:
  `parameters` -

### GCubeGisViewer

    protected GCubeGisViewer(String projection,
                             String groupName,
                             List<String> layers,
                             org.gcube.portlets.user.gisviewer.client.GisViewerSaveHandler gisViewerSaveHandler)

Method Detail

### addSaveHandler

    public com.google.gwt.event.shared.HandlerRegistration addSaveHandler(SaveHandler handler)

  Description copied from interface: `HasSaveHandlers`
  Adds a `SaveEvent` handler.

  Specified by:
    `addSaveHandler` in interface `HasSaveHandlers`
  Parameters:
    `handler` - the handler
  Returns:
    the registration for the event

### setMaskOnSaveEvents

    public void setMaskOnSaveEvents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.